<template>
    <v-row justify="center">
        <h1 class="text-center">Compras en proceso</h1>
        <v-expansion-panels accordion v-if="loggedIn==true">
            <v-expansion-panel
                v-for="order in orders"
                :key="order.id"
            >
                <v-expansion-panel-header v-if="order.info.status=='En proceso'">Mercado: <b>{{order.info.market}}</b>
                    Total: <b>{{order.info.total}}</b> 
                    Estado: <b>{{order.info.status}}</b>
                </v-expansion-panel-header>
                <v-expansion-panel-content>
                    <v-row>
                        <v-col cols="6">
                            <div v-for="product in order.info.products" :key="product.id">
                                {{product.amount}} {{product.quantity}} de {{product.name}}
                            </div>
                            <div v-for="product in order.info.packages" :key="product.id">
                                {{product.name}}
                            </div>
                        </v-col>
                        <v-col cols="6">
                            <v-btn dark color="red">Cancelar</v-btn>
                        </v-col>
                    </v-row>
                </v-expansion-panel-content>
            </v-expansion-panel>
        </v-expansion-panels>
        <h1 class="text-center">Historial</h1>
        <v-expansion-panels accordion v-if="loggedIn==true">
            <v-expansion-panel
                v-for="order in orders"
                :key="order.id"
            >
                <v-expansion-panel-header v-if="order.info.status!='En proceso'">Mercado: <b>{{order.info.market}}</b>
                    Total: <b>{{order.info.total}}</b> 
                    Estado: <b>{{order.info.status}}</b>
                </v-expansion-panel-header>
                <v-expansion-panel-content>
                    <div v-for="product in order.info.products" :key="product.id">
                        {{product.amount}} {{product.quantity}} de {{product.name}}
                    </div>
                    <div v-for="product in order.info.packages" :key="product.id">
                        {{product.name}}
                    </div>
                </v-expansion-panel-content>
            </v-expansion-panel>
        </v-expansion-panels>
    </v-row>
</template>
<script>
import "firebase/auth";
import * as firebase from "firebase/app";
export default {
     props: {
        loggedIn: {
        type: Boolean
        },
        lastPurchase: {
        
        }
    },
    data() {
        return {
            orders:[],
            search: '',
        }
    },
    methods: {
        async consultaPedidos(){
            const token = await firebase.auth().currentUser.getIdToken();
            let config = {
                    headers:{
                    authorization: `Bearer ${token}`
                    },
                    body:{
                    
                    }
                }
            this.$axios
                .get(`http://${process.env.VUE_APP_API_URL}/api/sales`, config)
                .then(res =>{
                res.data.data.forEach(order => {
                    this.orders.push(order);
                });
                })
                .catch(function(err){
                console.log(err)
                })
        },
    },
    created() {
        this.consultaPedidos();
        
    }
}
</script>